Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQGrid Class Reference

The TQGrid widget provides simple geometry management of its children. More...

`#include <ntqgrid.h>`

Inherits TQFrame.

List of all member functions.

## Public Members

- TQGrid ( int n, TQWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- TQGrid ( int n, Orientation orient, TQWidget * parent = 0, const char * name = 0, WFlags f = 0 )
- void setSpacing ( int space )

## Detailed Description

The TQGrid widget provides simple geometry management of its children.

The grid places its widgets either in columns or in rows depending on its orientation.

The number of rows or columns is defined in the constructor. All the grid's children will be placed and sized in accordance with their sizeHint() and sizePolicy().

Use setMargin() to add space around the grid itself, and setSpacing() to add space between the widgets.

See also TQVBox, TQHBox, TQGridLayout, Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### TQGrid::TQGrid ( int n, TQWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs a grid widget with parent parent, called name. n specifies the number of columns. The widget flags f are passed to the TQFrame constructor.

### TQGrid::TQGrid ( int n, Orientation orient, TQWidget * parent = 0, const char * name = 0, WFlags f = 0 )

Constructs a grid widget with parent parent, called name. If orient is Horizontal, n specifies the number of columns. If orient is Vertical, n specifies the number of rows. The widget flags f are passed to the TQFrame constructor.

### void TQGrid::setSpacing ( int space )

Sets the spacing between the child widgets to space.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.